# API Key Application

### Applying for an Api Key

Register an account normally at <https://chainbot.io/> and purchase a Pro user membership. Provide the email associated with the account to the team for application. Each account will be assigned a `client_id` and `secret_key`.

### Authentication Method

The authentication method is `Base Auth`, i.e., `Basic: base64(client_id:secret_key)` as the `Authorization`.

#### Example

For example, if the assigned `client_id` is `test_client_id` and the `secret_key` is `test_secret_key`,

then `base64(test_client_id:test_secret_key) = dGVzdF9jbGllbnRfaWQ6dGVzdF9zZWNyZXRfa2V5`

The code for sending the request is

```
curl "https://api.chainbot.io" \
     -H 'Authorization: Basic dGVzdF9jbGllbnRfaWQ6dGVzdF9zZWNyZXRfa2V5'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainbot.io/advanced-features/api/api-key-apply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
